# == Class: nslcd::params
#
# Sets the default parameters for the nslcd class.
#
class nslcd::params {
  case $facts['os']['family'] {
    'Debian': {
      $package_name = 'nslcd'
      $gid          = 'nslcd'
      $config       = '/etc/nslcd.conf'
      $config_group = 'nslcd'
      $config_mode  = '0640'
    }
    'RedHat': {
      $package_name = 'nss-pam-ldapd'
      $gid          = 'ldap'
      $config       = '/etc/nslcd.conf'
      $config_group = 'root'
      $config_mode  = '0600'
    }
    'FreeBSD': {
      $package_name = 'nss-pam-ldapd'
      $gid          = 'nslcd'
      $config       = '/usr/local/etc/nslcd.conf'
      $config_group = 'wheel'
      $config_mode  = '0600'
    }
    default: {
      fail("The ${module_name} module is not supported on an ${facts['os']['family']} based system.")
    }
  }
}
